Get Developer Crm Task
/api/v1/developer/crm/tasks/{taskId}Use the access scope below. The generated schemas specify the exact request and responses.
Access scopecrm.tasks.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Parameters
taskIdrequired · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }
Request examples
curl --request GET \ 'https://YOUR_NOVA_HOST/api/v1/developer/crm/tasks/TASK_ID' \ --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Responses
200 Exact project CRM task
application/jsonobject
taskrequired- object
Nested schema
objectidrequired- stringminLength: 1 · maxLength: 160
contactIdrequired- stringminLength: 1 · maxLength: 160
dealIdrequired- string | nullminLength: 1 · maxLength: 160
dealTitlerequired- string | nullminLength: 1
titlerequired- stringminLength: 1
dueAtrequired- string | nullformat: "date-time"
priorityrequired- stringenum: ["normal","high"]
statusrequired- stringenum: ["open","in_progress","done"]
createdAtrequired- stringformat: "date-time"
updatedAtrequired- stringformat: "date-time"
descriptionrequired- string
resultrequired- string | null
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "contactId": { "type": "string", "minLength": 1, "maxLength": 160 }, "dealId": { "type": [ "string", "null" ], "minLength": 1, "maxLength": 160 }, "dealTitle": { "type": [ "string", "null" ], "minLength": 1 }, "title": { "type": "string", "minLength": 1 }, "dueAt": { "type": [ "string", "null" ], "format": "date-time" }, "priority": { "type": "string", "enum": [ "normal", "high" ] }, "status": { "type": "string", "enum": [ "open", "in_progress", "done" ] }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" }, "description": { "type": "string" }, "result": { "type": [ "string", "null" ] } }, "required": [ "id", "contactId", "dealId", "dealTitle", "title", "dueAt", "priority", "status", "createdAt", "updatedAt", "description", "result" ] } checklistrequired- array
Nested schema
arrayobjectidrequired- stringminLength: 1 · maxLength: 160
titlerequired- stringminLength: 1
completedrequired- boolean
createdAtrequired- stringformat: "date-time"
updatedAtrequired- stringformat: "date-time"
JSON Schema
{ "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "title": { "type": "string", "minLength": 1 }, "completed": { "type": "boolean" }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "title", "completed", "createdAt", "updatedAt" ] }JSON Schema
{ "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "minLength": 1, "maxLength": 160 }, "title": { "type": "string", "minLength": 1 }, "completed": { "type": "boolean" }, "createdAt": { "type": "string", "format": "date-time" }, "updatedAt": { "type": "string", "format": "date-time" } }, "required": [ "id", "title", "completed", "createdAt", "updatedAt" ] } }
JSON Schema
{
"type": "object",
"properties": {
"task": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"contactId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"dealId": {
"type": [
"string",
"null"
],
"minLength": 1,
"maxLength": 160
},
"dealTitle": {
"type": [
"string",
"null"
],
"minLength": 1
},
"title": {
"type": "string",
"minLength": 1
},
"dueAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"priority": {
"type": "string",
"enum": [
"normal",
"high"
]
},
"status": {
"type": "string",
"enum": [
"open",
"in_progress",
"done"
]
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
},
"description": {
"type": "string"
},
"result": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"contactId",
"dealId",
"dealTitle",
"title",
"dueAt",
"priority",
"status",
"createdAt",
"updatedAt",
"description",
"result"
]
},
"checklist": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"title": {
"type": "string",
"minLength": 1
},
"completed": {
"type": "boolean"
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"title",
"completed",
"createdAt",
"updatedAt"
]
}
}
},
"required": [
"task",
"checklist"
],
"$ref": "#/components/schemas/DeveloperCrmTaskDetailResponse"
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 CRM task not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}